Bug 506187 - Review Request: perl-TheSchwartz - Reliable job queue
Review Request: perl-TheSchwartz - Reliable job queue
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 18:30 EDT by Emmanuel Seyman
Modified: 2009-06-30 17:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.07-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 17:28:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-06-15 18:30:03 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-TheSchwartz/perl-TheSchwartz.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-TheSchwartz/perl-TheSchwartz-1.07-2.fc11.src.rpm
Description:
TheSchwartz is a reliable job queue system. Your application can put jobs
into the system and your worker processes can pull jobs from the queue
atomically to perform. Failed jobs can be left in the queue to retry later.
Comment 1 Parag AN(पराग) 2009-06-16 06:58:36 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1417347
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
56df454fa7041220fee2c90f251605ce8dc27357  TheSchwartz-1.07.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=23, Tests=421,  4 wallclock secs ( 0.21 usr  0.07 sys +  3.02 cusr  0.43 csys =  3.73 CPU)
+ Package perl-TheSchwartz-1.07-2.fc12.noarch =>
Provides: perl(TheSchwartz) = 1.07 perl(TheSchwartz::Error) perl(TheSchwartz::ExitStatus) perl(TheSchwartz::FuncMap) perl(TheSchwartz::Job) perl(TheSchwartz::JobHandle) perl(TheSchwartz::Worker)
Requires: /usr/bin/perl perl(Carp) perl(DBI) perl(Data::ObjectDriver::Driver::DBI) perl(Data::ObjectDriver::Errors) perl(Digest::MD5) perl(Getopt::Long) perl(List::Util) perl(Storable) perl(TheSchwartz::Error) perl(TheSchwartz::ExitStatus) perl(TheSchwartz::FuncMap) perl(TheSchwartz::Job) perl(TheSchwartz::JobHandle) perl(base) perl(constant) perl(fields) perl(strict)
+ Not a GUI application

APPROVED.
Comment 2 Emmanuel Seyman 2009-06-16 09:29:16 EDT
Thanks, Parag!

New Package CVS Request
=======================
Package Name: perl-TheSchwartz
Short Description: Reliable job queue
Owners: eseyman
Branches: F-11 F-10
InitialCC: perl-sig
Comment 3 Jason Tibbitts 2009-06-17 12:37:37 EDT
CVS done.
Comment 4 Fedora Update System 2009-06-21 11:34:26 EDT
perl-TheSchwartz-1.07-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-TheSchwartz-1.07-2.fc11
Comment 5 Fedora Update System 2009-06-24 15:18:42 EDT
perl-TheSchwartz-1.07-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-TheSchwartz'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6815
Comment 6 Fedora Update System 2009-06-30 17:28:37 EDT
perl-TheSchwartz-1.07-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.